Support Alder Lake P graphics

Bug #1940504 reported by Timo Aaltonen
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned
Focal
High
You-Sheng Yang
linux-oem-5.14 (Ubuntu)
Focal
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

[SRU Justification:linux-firmware]

[Impact]

It shows the firmware is missing, and runtime power management has been
disabled:

  i915 0000:00:02.0: [drm] Failed to load DMC firmware
  i915/adlp_dmc_ver2_10.bin. Disabling runtime power management.

[Fix]

Upstream commit 3d32f216 ("i915: Add ADL-P DMC Support").

[Test Case]

Verified on Intel ADL-M/ADL-P RVPs.

[Where problems could occur]

It's a new firmware for new GPU, not possible to introduce regressions.

[Other Info]

Impish has this already. And while ADL-P/M support begins since v5.14,
only focal (for oem-5.14) is being nominated.

=========================================================

[SRU Justification:mesa,libdrm]

NOTE: this is for focal only, hirsute/impish do not and will not have kernel support for this.

[Impact]

ADL-P machines need to use the native driver.

[Fix]

Backport support from upstream.

libdrm: a single patch from 2.4.107
mesa: three commits to add pci-id's and a workaround
kernel: needs drm sync from 5.14 (bug 1940085) plus additional backports

[Test case]
Boot a machine and check that it's using the native driver and that the usual workloads are fine.

[Where things could go wrong]
For older gpu's there's little to go wrong, since the commits are for ADL-P only.

Timo Aaltonen (tjaalton)
summary: - Support Alder Lake P/M graphics
+ Support Alder Lake P graphics
Timo Aaltonen (tjaalton)
Changed in libdrm (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton)
description: updated
Changed in mesa (Ubuntu):
status: New → Fix Released
Changed in linux-oem-5.13 (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton)
description: updated
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Timo, or anyone else affected,

Accepted libdrm into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.105-3~20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libdrm (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Changed in mesa (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/21.0.3-0ubuntu0.3~20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
You-Sheng Yang (vicamo) wrote :
Changed in linux-firmware (Ubuntu Focal):
status: New → In Progress
Changed in linux-firmware (Ubuntu):
status: New → Invalid
Changed in linux-firmware (Ubuntu Focal):
importance: Undecided → High
assignee: nobody → You-Sheng Yang (vicamo)
description: updated
Timo Aaltonen (tjaalton)
affects: linux-oem-5.13 (Ubuntu Focal) → linux-oem-5.14 (Ubuntu Focal)
Mathew Hodson (mhodson)
no longer affects: linux-oem-5.14 (Ubuntu)
Changed in linux-firmware (Ubuntu):
status: Invalid → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Timo, or anyone else affected,

Accepted linux-firmware into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.187.17 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Focal):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.14 (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

ADL-P works with the updated stack, plus linux-oem-5.14 from proposed

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

oh, oem-5.14 was part of this bug :)

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.105-3~20.04.2

---------------
libdrm (2.4.105-3~20.04.2) focal; urgency=medium

  * intel-Add-support-for-ADLP.patch: Add support for ADL-P. (LP:
    #1940504)

 -- Timo Aaltonen <email address hidden> Thu, 19 Aug 2021 11:52:23 +0300

Changed in libdrm (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 21.0.3-0ubuntu0.3~20.04.2

---------------
mesa (21.0.3-0ubuntu0.3~20.04.2) focal; urgency=medium

  * Backport support for ADL-P. (LP: #1940504)

 -- Timo Aaltonen <email address hidden> Wed, 25 Aug 2021 15:41:24 +0300

Changed in mesa (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.187.17

---------------
linux-firmware (1.187.17) focal; urgency=medium

  * Support Alder Lake P graphics (LP: #1940504)
    - i915: Add ADL-P DMC Support

 -- Timo Aaltonen <email address hidden> Wed, 08 Sep 2021 10:01:19 +0300

Changed in linux-firmware (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Update Released

The verification of the Stable Release Update for libdrm has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Timo Aaltonen (tjaalton)
Changed in linux-oem-5.14 (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers